> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gleap.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Ask about survey results

> Ask Kai about the results. Body `{ question, version? }`; with `version` (a positive integer, the Results
page's version filter) the answers, totals and theme counts are that version's only. Returns `{ answer
(markdown), citations: [{ responseId, quote }], basedOn, version? }`. Uses AI credits (402 when out of AI usage).



## OpenAPI

````yaml https://api.gleap.io/api-docs.json post /engagement/surveys/{surveyId}/insights/ask
openapi: 3.0.0
info:
  title: gleap-server
  version: 14.0.0
  contact: {}
servers:
  - url: https://api.gleap.io/v3
security: []
paths:
  /engagement/surveys/{surveyId}/insights/ask:
    post:
      tags:
        - Engagement Survey
      summary: Ask about survey results
      description: >-
        Ask Kai about the results. Body `{ question, version? }`; with `version`
        (a positive integer, the Results

        page's version filter) the answers, totals and theme counts are that
        version's only. Returns `{ answer

        (markdown), citations: [{ responseId, quote }], basedOn, version? }`.
        Uses AI credits (402 when out of AI usage).
      operationId: Ask
      parameters:
        - in: path
          name: surveyId
          required: true
          schema:
            type: string
        - in: header
          name: project
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema: {}
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema: {}
      security:
        - jwt: []
components:
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.